%define name telepathy-farsight
%define version 0.0.19
%define release %mkrel 1

%define major 0
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Summary: Stream Engine to handle media streaming channels
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://telepathy.freedesktop.org/releases/telepathy-farsight/%{name}-%{version}.tar.gz

License: LGPLv2+
Group: Networking/Instant messaging
Url: http://telepathy.freedesktop.org/wiki/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: dbus-glib-devel
BuildRequires: libtelepathy-glib-devel >= 0.13.4
BuildRequires: farsight2-devel >= 0.0.29
BuildRequires: gstreamer0.10-python-devel
BuildRequires: python-devel
BuildRequires: gtk-doc

%description
Stream Engine is a Telepathy client that uses Farsight and GStreamer
to handle media streaming channels. It's used as a background process
by other Telepathy clients, rather than presenting any user interface
of its own.

Telepathy is a D-Bus framework for unifying real time communication,
including instant messaging, voice calls and video calls. It abstracts
differences between protocols to provide a unified interface for
applications.

%package -n %libname
Group: System/Libraries
Summary: Stream Engine to handle media streaming channels

%description -n %libname
Stream Engine is a Telepathy client that uses Farsight and GStreamer
to handle media streaming channels. It's used as a background process
by other Telepathy clients, rather than presenting any user interface
of its own.

Telepathy is a D-Bus framework for unifying real time communication,
including instant messaging, voice calls and video calls. It abstracts
differences between protocols to provide a unified interface for
applications.

%package -n %develname
Group: Development/C
Summary: Stream Engine to handle media streaming channels
Requires: %libname = %version-%release
Provides: lib%name-devel = %version-%release

%description -n %develname
Stream Engine is a Telepathy client that uses Farsight and GStreamer
to handle media streaming channels. It's used as a background process
by other Telepathy clients, rather than presenting any user interface
of its own.

Telepathy is a D-Bus framework for unifying real time communication,
including instant messaging, voice calls and video calls. It abstracts
differences between protocols to provide a unified interface for
applications.

%package -n python-%name
Group: Development/Python
Summary: Stream Engine to handle media streaming channels
Requires: %libname = %version-%release
Requires: gstreamer0.10-python

%description -n python-%name
Stream Engine is a Telepathy client that uses Farsight and GStreamer
to handle media streaming channels. It's used as a background process
by other Telepathy clients, rather than presenting any user interface
of its own.

Telepathy is a D-Bus framework for unifying real time communication,
including instant messaging, voice calls and video calls. It abstracts
differences between protocols to provide a unified interface for
applications.

%prep
%setup -q
%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README NEWS

%files -n %libname
%defattr(-,root,root)
%_libdir/libtelepathy-farsight.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%doc ChangeLog
%_libdir/libtelepathy-farsight.so
%_libdir/libtelepathy-farsight.la
%_includedir/telepathy-1.0/%name
%_libdir/pkgconfig/%name.pc
%_datadir/gtk-doc/html/%name

%files -n python-%name
%defattr(-,root,root)
%py_platsitedir/tpfarsight.*



%changelog
* Thu Jun 16 2011 Götz Waschk <waschk@mandriva.org> 0.0.19-1mdv2011.0
+ Revision: 685553
- new version
- bump farsight2 dep

* Mon May 16 2011 Götz Waschk <waschk@mandriva.org> 0.0.18-1
+ Revision: 675005
- new version
- bump farsight2 dep

* Sat Apr 16 2011 Götz Waschk <waschk@mandriva.org> 0.0.17-1
+ Revision: 653293
- update to new version 0.0.17

* Mon Apr 04 2011 Götz Waschk <waschk@mandriva.org> 0.0.16-1
+ Revision: 650289
- new version
- bump telepathy-glib dep

* Thu Nov 04 2010 Funda Wang <fwang@mandriva.org> 0.0.15-2mdv2011.0
+ Revision: 593064
- rebuild for py2.7

* Sun Sep 12 2010 Götz Waschk <waschk@mandriva.org> 0.0.15-1mdv2011.0
+ Revision: 577637
- new version

* Sat Jul 10 2010 Götz Waschk <waschk@mandriva.org> 0.0.14-1mdv2011.0
+ Revision: 550291
- update to new version 0.0.14

* Sat Jan 09 2010 Frederik Himpe <fhimpe@mandriva.org> 0.0.13-1mdv2010.1
+ Revision: 487816
- update to new version 0.0.13

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 0.0.12-1mdv2010.0
+ Revision: 458763
- Release 0.0.12
- Remove patches 0, 1 (merged upstream)

* Fri Oct 09 2009 Michael Scherer <misc@mandriva.org> 0.0.11-2mdv2010.0
+ Revision: 456320
- add 2 patchs from uptream to prevent crash when using voip

* Thu Sep 10 2009 Frederik Himpe <fhimpe@mandriva.org> 0.0.11-1mdv2010.0
+ Revision: 437510
- update to new version 0.0.11

* Tue Aug 25 2009 Frederik Himpe <fhimpe@mandriva.org> 0.0.9-1mdv2010.0
+ Revision: 421218
- update to new version 0.0.9

* Thu Aug 06 2009 Götz Waschk <waschk@mandriva.org> 0.0.8-1mdv2010.0
+ Revision: 410555
- update build deps
- update to new version 0.0.8

* Fri May 08 2009 Frederik Himpe <fhimpe@mandriva.org> 0.0.7-1mdv2010.0
+ Revision: 373516
- Update to new version 0.0.7
- Remove patch integrated upstream

* Wed Mar 18 2009 Frederik Himpe <fhimpe@mandriva.org> 0.0.6-1mdv2009.1
+ Revision: 356992
- Update to new version 0.0.6
- Add patch to fix build with -Werror=format-security

* Tue Feb 03 2009 Götz Waschk <waschk@mandriva.org> 0.0.4-1mdv2009.1
+ Revision: 336834
- import telepathy-farsight


